aboutsummaryrefslogtreecommitdiffstats
path: root/main/libxrandr/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2010-01-25 16:43:57 +0000
commit9526ee659401dee7160f35cb62ded2779bcbbc99 (patch)
tree812ad73bde9c84dcc02a3acbc5db576369ca314a /main/libxrandr/APKBUILD
parent05e09c1126a898b6d0af491fef0401bf53e297f8 (diff)
downloadaports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.gz
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.bz2
aports-9526ee659401dee7160f35cb62ded2779bcbbc99.tar.xz
merged x11 repository into main
ref #255
Diffstat (limited to 'main/libxrandr/APKBUILD')
-rw-r--r--main/libxrandr/APKBUILD28
1 files changed, 28 insertions, 0 deletions
diff --git a/main/libxrandr/APKBUILD b/main/libxrandr/APKBUILD
new file mode 100644
index 0000000000..e261af4f49
--- /dev/null
+++ b/main/libxrandr/APKBUILD
@@ -0,0 +1,28 @@
+# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
+pkgname=libxrandr
+pkgver=1.3.0
+pkgrel=1
+pkgdesc="X11 RandR extension library"
+url="http://xorg.freedesktop.org/"
+license="custom"
+subpackages="$pkgname-dev $pkgname-doc"
+depends=
+makedepends="pkgconfig libxext-dev libxrender-dev randrproto libx11-dev"
+source="http://xorg.freedesktop.org/releases/individual/lib/libXrandr-$pkgver.tar.bz2"
+
+depends_dev="xproto randrproto libx11-dev libxext-dev libxrender-dev"
+
+build() {
+ cd "$srcdir"/libXrandr-$pkgver
+ ./configure --prefix=/usr \
+ --sysconfdir=/etc \
+ || return 1
+ make || return 1
+}
+
+package() {
+ cd "$srcdir"/libXrandr-$pkgver
+ make DESTDIR="$pkgdir" install || return 1
+ install -Dm644 COPYING "$pkgdir"/usr/share/licenses/$pkgname/COPYING
+}
+md5sums="68eb59c3b7524db6ffd78746ee893d1d libXrandr-1.3.0.tar.bz2"